"make" command ends in error because of giac

47 views
Skip to first unread message

Jan V.

unread,
Nov 5, 2022, 6:39:22 AM11/5/22
to sage-devel
Hello again,

I reinstalled sage after I had some issues with my computer, and even after several tries there seems to be a problem with building giac. I am not sure what to do to fix this issue, so any idea would help me a lot. The log files are attached to this mail.

Thank you in advance!

Jan 
giac-1.6.0.47p3.p0.log
config.log

Dima Pasechnik

unread,
Nov 5, 2022, 6:47:45 AM11/5/22
to sage-...@googlegroups.com
Are you trying to build an old version of Sage? In the current 9.7 we
have giac 1.9, not 1.6,
see https://trac.sagemath.org/ticket/31563
> --
> You received this message because you are subscribed to the Google Groups "sage-devel" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to sage-devel+...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/sage-devel/84c18adb-5f00-4543-acd9-b713c933d4b7n%40googlegroups.com.

Jan Vorloeper

unread,
Nov 5, 2022, 2:44:46 PM11/5/22
to sage-...@googlegroups.com
Oh you are right, but make keeps installing giac 1.6.0 instead of 1.9.0 when I run it, even though I have installed giac 1.9.0 manually. Do you know any solution for that?

You received this message because you are subscribed to a topic in the Google Groups "sage-devel" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/sage-devel/M_i1hAUU4oM/unsubscribe.
To unsubscribe from this group and all its topics, send an email to sage-devel+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/sage-devel/CAAWYfq0kDPRuhkg9SsDZTxS__wEj%2BVOViTimJRehgxMDi3igUg%40mail.gmail.com.

Dima Pasechnik

unread,
Nov 5, 2022, 3:28:19 PM11/5/22
to sage-devel


On Sat, 5 Nov 2022, 18:44 Jan Vorloeper, <janvor...@gmail.com> wrote:
Oh you are right, but make keeps installing giac 1.6.0 instead of 1.9.0 when I run it, even though I have installed giac 1.9.0 manually. Do you know any solution for that?

apply the patch from 

to your source tree - but, why?
Why can't you just build/use Sage 9.7 instead?

You might also try

./configure --disable-giac
make build


Am Sa., 5. Nov. 2022 um 11:47 Uhr schrieb Dima Pasechnik <dim...@gmail.com>:
Are you trying to build an old version of Sage? In the current 9.7 we
have giac 1.9, not 1.6,
see https://trac.sagemath.org/ticket/31563

On Sat, Nov 5, 2022 at 10:39 AM Jan V. <janvor...@gmail.com> wrote:
>
> Hello again,
>
> I reinstalled sage after I had some issues with my computer, and even after several tries there seems to be a problem with building giac. I am not sure what to do to fix this issue, so any idea would help me a lot. The log files are attached to this mail.
>
> Thank you in advance!
>
> Jan
>
> --
> You received this message because you are subscribed to the Google Groups "sage-devel" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to sage-devel+...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/sage-devel/84c18adb-5f00-4543-acd9-b713c933d4b7n%40googlegroups.com.

--
You received this message because you are subscribed to a topic in the Google Groups "sage-devel" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/sage-devel/M_i1hAUU4oM/unsubscribe.
To unsubscribe from this group and all its topics, send an email to sage-devel+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/sage-devel/CAAWYfq0kDPRuhkg9SsDZTxS__wEj%2BVOViTimJRehgxMDi3igUg%40mail.gmail.com.

--
You received this message because you are subscribed to the Google Groups "sage-devel" group.
To unsubscribe from this group and stop receiving emails from it, send an email to sage-devel+...@googlegroups.com.

Jan Vorloeper

unread,
Nov 8, 2022, 9:46:33 AM11/8/22
to sage-...@googlegroups.com
Sorry I forgot to mention, I am trying to build Sage 9.7, but I actually had an older version installed previously, but I deleted the sage-directory. But if you could tell by the log file that I was trying to build an older version of Sage, maybe the issue is that I didn't remove all relevant files before? What files should I remove to build the new version of Sage "from scratch"?

Greetings,

Jan

Reply all
Reply to author
Forward
0 new messages